Subject: Re: [RFC][PATCH 1/1] cxgb3i: cxgb3 iSCSI initiator

From: Steve Wise <[email-masked]>
Date: Wed, 13 Aug 2008 20:52:47 -0500

David Miller wrote:
> From: Tom Tucker <[email-masked]>
> Date: Wed, 13 Aug 2008 20:26:51 -0500
>
>   
>> Can you explain how this "information" somehow doesn't qualify as 
>> "state". Doesn't the next expected sequence number at the very least 
>> need to be updated? una? etc...?
>>
>> Could you also include the "non-state-full" information necessary to do 
>> iSCSI header digest validation, data placement, and marker removal? 
>>     
>
> It's stateless because the full packet traverses the real networking
> stack and thus can be treated like any other packet.
>
> The data placement is a side effect that the networking stack can
> completely ignore if it chooses to.
>   
How do you envision programming such a device?  It will need TCP and 
iSCSI state to have any chance of doing useful and productive placement 
of data.  The smarts about the iSCSI stateless offload hw will be in the 
device driver, probably the iscsi device driver.  How will it gather the 
information from the TCP stack to insert the correct state for a flow 
into the hw cache?